#include <fstream>
#include <vector>

using namespace std;

ifstream input("DQPS.inp");
ofstream output("DQPS.out");

long long P(long long n)
{
	if (n > 0)
	{
		return (2 * n + 1) * P(n - 1);
	}
	else
	{
		return 1;
	}
}

long long S(long long n)
{
	if (n > 0)
	{
		return (2 * n + 1) + S(n - 1);
	}
	else
	{
		return 1;
	}
}

int main()
{
	int n;
	input >> n;
	output << P(n) << '\n' << S(n);
	input.close();
	output.close();
	return 0;
}